Bug 433074 - libvir: Xen Daemon error : internal error domain information incomplete, missing id Error
libvir: Xen Daemon error : internal error domain information incomplete, miss...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2008-02-15 17:45 EST by L. M.
Modified: 2010-10-22 18:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-18 16:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description L. M. 2008-02-15 17:45:17 EST
Description of problem:

when I am building a RHEL 5.1 32bit vm on a RHEL5.1 x86_64 dom0 2.6.18-
53.1.13.el5xen kernel, using the virt-manager graphical tool, building a vm 
with a 5 or 6 GB disk and 550MB or RAM will get me this error:

[root@admi00-1 ~]# virt-manager
libvir: Xen Daemon error : internal error domain information incomplete, 
missing id
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/console.py", line 202, in 
  File "/usr/share/virt-manager/virtManager/console.py", line 217, in try_login
    protocol, host, port = self.vm.get_graphics_console()
  File "/usr/share/virt-manager/virtManager/domain.py", line 447, in 
    type = self.get_xml_string("/domain/devices/graphics/@type")
  File "/usr/share/virt-manager/virtManager/domain.py", line 417, in 
    xml = self.get_xml()
  File "/usr/share/virt-manager/virtManager/domain.py", line 51, in get_xml
    self.xml = self.vm.XMLDesc(0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 196, in XMLDesc
    if ret is None: raise libvirtError ('virDomainGetXMLDesc() failed', 
libvirt.libvirtError: virDomainGetXMLDesc() failed internal error domain 
information incomplete, missing id

Version-Release number of selected component (if applicable):


How reproducible:

on rhn update a rhel 5.1 box to the latest kernel and patchlevel as of 
2/15/2008 and use the virt-viewer gui and a simple kickstart file for xen. 
(quickest way is to download cobbler, import rhel 5.1 dvd into cobbler, and 
then in virt manager use the step by step wizard to point it to the cobbler 
machines http address and kickstart file. I used the default generated 
kickstart file generated from cobbler. posted below)

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

simple Kickstart generated from cobbler for rhel 5.1 32bit VM

#platform=x86, AMD64, or Intel EM64T
# System authorization information
auth  --useshadow  --enablemd5
# System bootloader configuration
bootloader --location=mbr
# Partition clearing information
clearpart --all --initlabel
# Use text mode install
# Firewall configuration
firewall --enabled
# Run the Setup Agent on first boot
firstboot --disable
# System keyboard
keyboard us
# System language
lang en_US
langsupport --default en_US en_US
# Use network installation
url --url=
# Network information
network --bootproto=dhcp --device=eth0 --onboot=on
# Reboot after installation

#Root password
rootpw --iscrypted $1$mF86/UHC$WvcIcX2t6crBz2onWxyac.
# SELinux configuration
selinux --disabled
# Do not configure the X Window System
# System timezone
timezone  America/New_York
# Install OS instead of upgrade
# Clear the Master Boot Record

# Magically figure out how to partition this thing
%include /tmp/partinfo

# Determine how many drives we have
set $(list-harddrives)
let numd=$#/2

cat << EOF > /tmp/partinfo
part / --fstype ext3 --size=1024 --grow --ondisk=$d1 --asprimary
part swap --size=1024 --ondisk=$d1 --asprimary


Comment 1 L. M. 2008-02-15 17:51:28 EST
I should add that this is a paravirt install. -- L.M.
Comment 3 RHEL Product and Program Management 2008-02-18 07:38:18 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 RHEL Product and Program Management 2008-03-11 15:36:14 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 6 Cole Robinson 2009-01-21 17:29:57 EST
This error message is symptomatic of something screwy at the xend level.

Can anyone reproduce this reliably on rhel 5.2 or 5.3? If so, please give the exact steps you used to reproduce it, as well as:

virsh list --all
xm list --long
/etc/xen/{vmname} file for each xm list/virsh list entry

Comment 7 Cole Robinson 2009-02-13 15:22:51 EST
Ping on this, any info with respect to comment #6?
Comment 8 Cole Robinson 2009-03-18 16:51:54 EDT
It's been almost 2 months, and since I can't reproduce, closing as WORKSFORME.

Please reopen if anyone is still seeing this problem.

Note You need to log in before you can comment on or make changes to this bug.